SYNOPSIS
        mixed restore_value(string str)

DESCRIPTION
        Decode the string representation <str> of a value back into the value
        itself and return it. <str> is a string as generated by save_value(),
        the '#x:y' specification of the saveformat however is optional.

HISTORY
        Introduced in LDMud 3.2.8.
        LDMud 3.2.9 added the restoring of non-lambda closures, symbols,
        and quoted arrays, using a new savefile format version.

SEE ALSO
        save_value(E), restore_object(E), save_object(E)
